<?php
define('PROTECTOR', 1);

$headmod = 'almaz';//фикс. места

$textl='Обмен на Алмазы';
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
@include($path.'files/zag.php');

switch($_POST[mod]){

default:

echo'<b>Обмен монет на Алмазы</b><br />';
echo'У вас  <img src=pic/main/gold1.png>'.$udata[money].'<br />';
echo'У вас <img src=pic/main/almaz.png>'.$udata[almaz].'<br />';
echo'<div class="info"><img src=pic/main/gold1.png>500 = <img src=pic/main/almaz.png>1<br />Через Торговца Драгоценностями можно обменять ТОЛЬКО <img src=pic/main/almaz.png>10. </div>';
echo"Введите кол-во алмазов:";
echo'<form method=\"POST\" action="almaz.php?mod=1">';
echo'<input type="text" name="kolvo">';
echo'<br  /><input type="submit" value="Обменять">';
break;

case '1':
if($_POST[kolvo] > 10 or $_POST[kolvo] <1 ) {echo'Вы можете получить лишь от 1 до 10 <img src=pic/main/almaz.png>';
echo "<br/><a href=\"index.php?\">Назад</a>";
include($path.'files/down.php');
 exit;}
$summa=$_POST[kolvo]*500;
$naeb = $udata[almaz]+$_POST[kolvo];
$minus = $udata[money]-$summa;
if ( $udata[money] >= $summa and $naeb <11 and $minus > 1 ){
mysql_query("UPDATE users SET money = '$udata[money]'-'$summa', almaz = '$udata[almaz]'+'$_POST[kolvo]' WHERE usr = '$log'");

echo'Вы успешно обменяли монеты на алмазы.';
echo "<br/><a href=\"index.php?\">Назад</a><br/>";}
else{ echo'Вы можете получить лишь от 1 до 10 <img src=pic/main/almaz.png>. Максимальное кол-во: 10<img src=pic/main/almaz.png>';
echo "<br/><a href=\"index.php?\">Назад</a>";}
break;

}
include($path.'files/down.php');
?>

